API Reference
Register a webhook endpoint
The signing_secret is returned once; store it to verify signatures.
Authorization
apiKey AuthorizationBearer <token>
A secret API key, e.g. Authorization: Bearer sk_test_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/merchants/me/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "https://api.merchant.com/webhooks/shiftxpay", "description": "Primary", "event_types": [ "payment.succeeded", "payment.refunded" ] }'{ "id": "whk_01ARZ3NDEKTSV4RRFFQ69G5FAV", "url": "http://example.com", "description": "string", "event_types": [ "string" ], "environment": "string", "status": "active", "signing_secret": "string"}{ "error": { "code": "invalid_body", "message": "invalid request body" }}